Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 194124 - gtkhtml fails to build due to paragraph-style.c:33 initializer element is not constant
Summary: gtkhtml fails to build due to paragraph-style.c:33 initializer element is not...
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-28 18:56 UTC by Matthew Swaringen
Modified: 2008-08-23 18:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
add needed header files to paragraph-style.c (gtkhtml-3.14.3-N_.patch,339 bytes, patch)
2007-10-03 11:50 UTC, Jonathan Kausch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Swaringen 2007-09-28 18:56:47 UTC
Error text:
paragraph-style.c:33: error: initializer element is not constant
paragraph-style.c:33: error: (near initialization for 'paragraph_style_data[0].description')
paragraph-style.c:36: error: initializer element is not constant
paragraph-style.c:36: error: (near initialization for 'paragraph_style_data[1].description')
paragraph-style.c:39: error: initializer element is not constant
paragraph-style.c:39: error: (near initialization for 'paragraph_style_data[2].description')
paragraph-style.c:42: error: initializer element is not constant
paragraph-style.c:42: error: (near initialization for 'paragraph_style_data[3].description')
paragraph-style.c:45: error: initializer element is not constant
paragraph-style.c:45: error: (near initialization for 'paragraph_style_data[4].description')
paragraph-style.c:48: error: initializer element is not constant
paragraph-style.c:48: error: (near initialization for 'paragraph_style_data[5].description')
paragraph-style.c:51: error: initializer element is not constant
paragraph-style.c:51: error: (near initialization for 'paragraph_style_data[6].description')
paragraph-style.c:54: error: initializer element is not constant
paragraph-style.c:54: error: (near initialization for 'paragraph_style_data[7].description')
paragraph-style.c:57: error: initializer element is not constant
paragraph-style.c:57: error: (near initialization for 'paragraph_style_data[8].description')
paragraph-style.c:60: error: initializer element is not constant
paragraph-style.c:60: error: (near initialization for 'paragraph_style_data[9].description')
paragraph-style.c:63: error: initializer element is not constant
paragraph-style.c:63: error: (near initialization for 'paragraph_style_data[10].description')
paragraph-style.c:66: error: initializer element is not constant
paragraph-style.c:66: error: (near initialization for 'paragraph_style_data[11].description')
paragraph-style.c:69: error: initializer element is not constant
paragraph-style.c:69: error: (near initialization for 'paragraph_style_data[12].description')
paragraph-style.c: In function 'paragraph_style_get_store':
paragraph-style.c:94: warning: implicit declaration of function 'gettext'
paragraph-style.c:94: warning: incompatible implicit declaration of built-in function 'gettext'
emerge --info
Portage 2.1.3.9 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.5-r4, 2.6.22-12-generic x86_64)
=================================================================
System uname: 2.6.22-12-generic x86_64 Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
Timestamp of tree: Thu, 27 Sep 2007 03:00:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=nocona -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks metadata-transfer sandbox sfperms unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j6"
PKGDIR="/media/sda9/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/xanas /usr/portage/local/layman/xeffects /usr/portage/local/layman/sunrise /usr/portage/local/layman/berkano /usr/portage/local/layman/kde"
SYNC="rsync://zero-one/gentoo-portage/"
USE="3dnow 7z X a52 aac acpi aiglx alsa amd64 apache2 asf avi bash-completion bidi bitmap-fonts branding browserplugin bzip2 cairo cddb cdr clamav crypt cups dbus dga dhcp dio directfb divx4linux dri dts dv dvb dvd dvdr dvr3 emul-linux-x86 encode ethereal exif fbcon ffmpeg firefox flac flash foomaticdb gd gdbm gif gimp gimpprint glitz gphoto2 gpm gstreamer gtk gtk2 hal howl i8x0 icq ieee1394 imlib innodb jabber jack java javascript joystick jpeg jpeg2k kde kdeenablefinal kdexdeltas kickoff lame lcms libclamav libwww lirc lm_sensors logitech-mouse mad matroska mikmod mime mjpeg mmx mmx2 mono mp3 mp4 mpeg mplayer mppe-mppc musepack musicbrainz nautilus ncurses network nls nptl nptlonly nsplugin nvidia odbc ogg oggvorbis on-the-fly-crypt openal opengl oss pam pda pdf pdflib png ppds qt qt3 quicktime radiotap rar rdesktop readline samba scanner sdk sdl skey slp snmp spell sse sse2 ssl subtitles svg symlink szip taglib tcpd theora threads tiff truetype truetype-fonts type1-fonts unicode usb userlocales v4l v4l2 vcd visualization vorbis x264 xcb xcomposite xine xinerama xml xml2 xorg xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="intel8x0 usb-audio snd-intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa nvidia"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Reproducible: Always

Steps to Reproduce:
1. Attempt to compile gtkhtml
2.
3.

Actual Results:  
Compile failure

Expected Results:  
Compile success

amd64 system during emerge -eav world operation (after several other breaks where I was able to successfully resolve or find an unfixed bug which I was able to emerge --resume --skipfirst past, the ones that I resolved in order to not rebuild world from beginning I was using emerge -ep --resume > worldfile and using sed to strip the version number, etc. (in case the fix was just to unmask newer version).
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-09-28 19:45:22 UTC
Reopen with exact ebuild version, there are only 9 of them and we are not going to guess.
Comment 2 Jonathan Kausch 2007-10-03 11:50:35 UTC
Created attachment 132452 [details, diff]
add needed header files to paragraph-style.c
Comment 3 Jonathan Kausch 2007-10-03 11:52:58 UTC
Hi,

this is due to some missing headers for N_ (Version 3.14.3-r1). I guess it applies to version 3.14-3, either.

I added a patch to fix this issue.


Jonathan
Comment 4 Gilles Dartiguelongue gentoo-dev 2007-10-03 12:23:24 UTC
could you provide the version of glib, gtk, gettext and intltool it happens with ?
Comment 5 Denis Dupeyron (RETIRED) gentoo-dev 2007-10-05 08:08:29 UTC
Same problem here with gtkhtml-3.14.3-r1, and Jonathan's patch does solve it for me.

(In reply to comment #4)
> could you provide the version of glib, gtk, gettext and intltool it happens
> with ?

denis ~ # emerge -vp glib gtk+ gettext intltool

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-devel/gettext-0.16.1-r1  USE="nls -doc -emacs -nocxx" 0 kB 
[ebuild   R   ] dev-util/intltool-0.35.5  0 kB 
[ebuild   R   ] dev-libs/glib-2.14.1  USE="-debug -doc -hardened" 0 kB 
[ebuild   R   ] x11-libs/gtk+-2.12.0-r2  USE="X cups jpeg tiff -debug -doc -xinerama" 0 kB 

Denis.
Comment 6 Mart Raudsepp gentoo-dev 2007-10-05 10:05:44 UTC
Note to self: This is probably from libbonobo-2.20 starting to use the macros provided by glib in gi18n-lib.h and not doing that in its own header that might get pulled in by other bonobo public header but not all anymore. So other things relying on that old implicit header dependency seem to break and there might be a bigger fallout amongst libbonobo users
Comment 7 Gilles Dartiguelongue gentoo-dev 2008-03-09 22:37:00 UTC
it's not clear to me which versions besides 3.14.* are affected. If it's onlye 3.14.* then newer stable versions should have been fixed already and since they are in the same slot, 3.14.* won't be fixed. Now if it happens with any other version please list them here so we can have a look.
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-08-23 10:10:18 UTC
please provide information required in comment #7
Comment 9 Matthew Swaringen 2008-08-23 18:29:10 UTC
I didn't get an e-mail on prior updates to comments/questions when they were made.  Sadly since this was quite some time ago it's not relavent to me at this time, so I will assume that the 3.14.* correction also fixed whichever version I was using.  

Thanks!